select distinct
	', ''' + [Item No_] + '''' as [format]
from
(
select 
	ile.[Item No_]
	, [timestamp iles]
	, [timestamp ile]
	, case when [timestamp iles] < [timestamp ile] then '<' else '>=' end as [state]
	
from
(
select	
	[Item No_]
	, max([Max TS ILE]) as [timestamp iles]
from
	[ana$All$Item Ledger Entry Snapshot]
group by
	[Item No_]
)iles

full join

(
select	
	[Item No_]
	, max(cast([timestamp] as bigint)) as [timestamp ile]
from
	[All$Item Ledger Entry]
group by
	[Item No_]
) ile on
	iles.[Item No_] = ile.[Item No_]
where
	ile.[timestamp ile] != iles.[timestamp iles]

union

select 
	ve.[Item No_]
	, [timestamp iles]
	, [timestamp ve]
	, case when [timestamp iles] < [timestamp ve] then '<' else '>=' end as [state]
from
(
select	
	[Item No_]
	, max([Max TS VE]) as [timestamp iles]
from
	[ana$All$Item Ledger Entry Snapshot]
group by
	[Item No_]
)iles

full join

(
select	
	[Item No_]
	, max(cast([timestamp] as bigint)) as [timestamp ve]
from
	[All$Value Entry]
group by
	[Item No_]
) ve on
	iles.[Item No_] = ve.[Item No_]
where
	ve.[timestamp ve] != iles.[timestamp iles]
)t