select 
	te.[Sales Origin Type]
	, te.[Sales Type]
	, te.[Item No_]
	, Sum(te.[Quantity]) as [Quantity]
	, Sum(te.[Amount]) as [Amount]
	, Sum(te.[Amount (Actual)]) as [Amount (Actual)]
from
	[fact TE] te
left join
	[All$Item] i on
		te.[Item No_] = i.[No_]
where
	te.[Posting Date] between '2014-09-25' and '2014-09-26'
	and te.[Sales Origin Type] = 1
	and te.[Sales Origin Code] = 'WEBSHOP'
	and te.[Posting Date] = '2014-09-25'
	and left(i.[RetMerchandise Code], 2) = 31
group by
	te.[Sales Origin Type]
	, te.[Sales Type]
	, te.[Item No_]


select 
	te.[Sales Origin Type]
	, te.[Sales Type]
	, te.[Item No_]
	, Sum(te.[Quantity]) as [Quantity]
	, Sum(te.[Amount]) as [Amount]
	, Sum(te.[Amount (Actual)]) as [Amount (Actual)]
from
	[OFM BV$RetTurnover Entry] te
left join
	[OFM BV$Item] i on
		te.[Item No_] = i.[No_]
where
	te.[Posting Date] between '2014-09-25' and '2014-09-26'
	and te.[Sales Origin Type] = 1
	and te.[Sales Origin Code] = 'WEBSHOP'
	and te.[Posting Date] = '2014-09-25'
	and left(i.[RetMerchandise Code], 2) = 31
group by
	te.[Sales Origin Type]
	, te.[Sales Type]
	, te.[Item No_]