select  
	p.[Document No_]
	, sum(p.[ACAOrder Quantity (Base)]) as [Order]
	, sum(p.[Quantity Received]) as [Quantity Received]
	, sum(prl.[Quantity]) as [Quantity Receipt]
	, sum(p.[Outstanding Quantity]) as [Outstanding Quantity]
from
      [All$Purchase Line] p
join
      [All$Purch_ Rcpt_ Line] prl  on
            prl.[Order No_] = p.[Document No_] 
            and prl.[Order Line No_] = p.[Line No_]
where
	p.[Quantity Received] != prl.[Quantity]
	--p.[Outstanding Quantity] = 0
group by
	p.[Document No_]