/*
	Voorverdeling kan afwijken dmv :
	-Alloc per item ingesteld ?
	-Alle [Document No_] van Location/Item/Variant samengeteld.
	-Order qty's met 0 [Total Allocated Quantity] ingesteld.  Alsnog verdelen!
*/

select
      oc.[Nummer]
      --, oc.[Artikel]
      , oc.[Merk]
      , oc.[Order Quantity]
      , ocvv.[Order Quantity] as [Order Quantity VV]
      , oc.[Advw Order]
      , ocvv.[Advw Order] as [Advw Order VV]
      , oc.[Inkw Order]
      , ocvv.[Inkw Order] as [Inkw Order VV]
from
(     
select      
      [Nummer]
      --, [Artikel]
      , [Merk]
      , sum([Order Quantity]) as [Order Quantity]
      , sum([Advw Order]) as [Advw Order]
      , sum([Inkw Order]) as [Inkw Order]
from
      [Logistiek$pln OrderControl]
group by
      [Nummer]    
      --, [Artikel]
      , [Merk]
) oc
      
full join

(
select      
      [Nummer]
      --, [Artikel]
      , [Merk]
      , sum([Order Quantity]) as [Order Quantity]
      , sum([Advw Order]) as [Advw Order]
      , sum([Inkw Order]) as [Inkw Order]
from
      [Logistiek$pln OrderControl VV]
group by
      [Nummer]    
      --, [Artikel]
      , [Merk]
) ocvv on
      oc.[Nummer] = ocvv.[Nummer]
      --and oc.[Artikel] = ocvv.[Artikel]
      and oc.[Merk] = ocvv.[Merk]
      
where 
      oc.[Nummer] = 58
and
      oc.[Order Quantity] <> ocvv.[Order Quantity]
