use [ReportServer$ACA]

IF OBJECT_ID ('TR_Subscription_Subject','TR') IS NOT NULL
   DROP TRIGGER [TR_Subscription_Subject];
GO

create trigger [TR_Subscription_Subject] on [dbo].[Subscriptions]
after insert, UPDATE
as

update 
	s
SET 
	s.[Description] = CAST(
	isnull(cast(s.[ExtensionSettings] as xml).value('(//ParameterValue[Name = "Subject"]/Value)[1]', 'varchar(max)'), ''))
	 as NText)
from
	inserted i
join
	[Subscriptions] s on
		s.[SubscriptionID] = i.[SubscriptionID]
where
	charindex(isnull(cast(s.[ExtensionSettings] as xml).value('(//ParameterValue[Name = "Subject"]/Value)[1]', 'varchar(max)'), ''), s.[Description]) = 0		
go




update 
	[Subscriptions]
SET 
	[Description] = CAST(
	isnull(cast([ExtensionSettings] as xml).value('(//ParameterValue[Name = "Subject"]/Value)[1]', 'varchar(max)'), ''))
	 as NText)
where
	charindex(isnull(cast([ExtensionSettings] as xml).value('(//ParameterValue[Name = "Subject"]/Value)[1]', 'varchar(max)'), ''), [Description]) = 0		
