select distinct 
	--sum([tallied Cost Amount])
	[Location Code]
	, [Item No_]
	, [Variant Code]
	, cast([tallied Quantity] as int) as [EVRD]
	, cast([tallied Cost Amount] as money) as [Inkw EVRD]
from
(

SELECT
	iles.[Location Code]
	,iles.[Delta Order]
	,iles.[quantity] as [tallied Quantity]
	,iles.[Cost Amount (Actual)] + iles.[Cost Amount (Expected)] as [tallied Cost Amount]
	,iles.[RetIC Cost Amount] as [tallied IC Cost Amount]
	,iles.[Item No_]
	,iles.[Variant Code]
	,99 as [LTSID]
	,null as [Depreciation %]
	,'' as [LTS Group]
	,0 as [purchase quantity]
	,0 as [purchase quantity cum]
	,0 as [Delta]
	,0 as [purchase quantity over]
--into
--	[ana$Van den Assem schoenen BV$LTS Purchase Over2]
FROM
	[ana$Van den Assem schoenen BV$LTS Snapshot] iles
LEFT JOIN
	[ana$Van den Assem schoenen BV$LTS Purchase Over1] ltso on
	--[ana$Van den Assem schoenen BV$LTS Purchase] ltso on
		iles.[Location Code] = ltso.[Location Code] and
		iles.[Item No_] = ltso.[Item No_]
		and iles.[Variant Code] = ltso.[Variant Code]
WHERE
	--iles.[Quantity] < 0
	ltso.[Item No_] is null
	--and (cast([tallied Quantity] as int) != 0 or cast([tallied Cost Amount] as money) != 0.00)

)t

where
	(cast([tallied Quantity] as int) != 0 or cast([tallied Cost Amount] as money) != 0.00)

order by 
	1, 2, 3