alter proc sp_remove @company varchar(30)
as

set nocount on

declare @object varchar(max), @query varchar(max)

--views
declare obj_cur cursor for
select [name] from sysobjects 
where 
	left([name], len(@company)+1) = @company + '$'
	and [xtype] = 'V'

open obj_cur

fetch next from obj_cur into @object
while @@fetch_status = 0
begin
	set @query = 'drop view [' + rtrim(@object) + ']'
	exec(@query)

	fetch next from obj_cur into @object
end

close obj_cur
deallocate obj_cur

--tables
declare obj_cur cursor for
select [name] from sysobjects 
where 
	left([name], len(@company)+1) = @company + '$'
	and [xtype] = 'U'
or
	left([name], 4+len(@company)+1) = 'ana$' + @company + '$'
	and [xtype] = 'U'

open obj_cur

fetch next from obj_cur into @object
while @@fetch_status = 0
begin
	set @query = 'drop table [' + rtrim(@object) + ']'
	exec(@query)

	fetch next from obj_cur into @object
end

close obj_cur
deallocate obj_cur

--stored procedures
declare obj_cur cursor for
select [name] from sysobjects 
where 
	left([name], len(@company)+1) = @company + '$'
	and [xtype] = 'P'

open obj_cur

fetch next from obj_cur into @object
while @@fetch_status = 0
begin
	set @query = 'drop proc [' + rtrim(@object) + ']'
	exec(@query)

	fetch next from obj_cur into @object
end

close obj_cur
deallocate obj_cur

--recreate all company views

--if exists (select * from sysobjects where id = object_id('tmpcompanies'))
--	drop table [tmpcompanies]
--
--select
--	c.[name] as [company]
--	, so.[name] 
--	, case when left(so.[name], len(c.[name])+1) = c.[name] + '$'
--	then
--		'All$' + substring(so.[name], 1+len(c.[name])+1, 256)
--	else
--		'ana$All$' + substring(so.[name], 5+len(c.[name])+1, 256)
--	end  as [group]
--	, so.[xtype]
--into
--	[tmpcompanies]
--from
--	sysobjects so
--inner join
--	[tmpCompany] c on
--		left(so.[name], len(c.[name])+1) = c.[name] + '$'
--		or
--		'ana$' + substring(so.[name], 5, len(c.[name])+1) = 'ana$' + c.[name] + '$'
--where
--	[xtype] in ('U', 'V', 'P')
--
--declare @comp varchar(30), @name varchar(256), @group varchar(256), @xtype varchar(5), @first bit
--declare group_cur cursor for
--select distinct
--	[group], [xtype]
--from
--	[tmpcompanies]
--
--open group_cur
--
--fetch next from group_cur into @group, @xtype
--while @@fetch_status = 0
--begin
--	if @xtype = 'P'
--	begin
--		--stored procedures
--		set @query = '
--		if exists (select * from sysobjects where id = object_id(''' + rtrim(@group) + '''))
--			drop proc [' + rtrim(@group) + ']'
--		exec(@query)
--
--		set @query = 'create proc [' + rtrim(@group) + '] AS 
--'		
--		set @first = 1
--		declare proc_cur cursor for
--		select [company], [name] from [tmpcompanies] where [group] = @group and [xtype] = @xtype
--		open proc_cur
--		fetch next from proc_cur into @comp, @name
--		while @@fetch_status = 0
--		begin
--			if @first = 1
--				set @first = 0
--
--			select @query = @query + 'exec [' + rtrim(@name) + ']
--'
--			fetch next from proc_cur into @comp, @name
--		end
--		close proc_cur
--		deallocate proc_cur
--	
--		if @first = 0
--			exec(@query)
--	end
--	else
--	begin
--		--views
--		set @query = '
--		if exists (select * from sysobjects where id = object_id(''' + rtrim(@group) + '''))
--			drop view [' + rtrim(@group) + ']'
--		exec(@query)
--
--		set @query = 'create view [' + rtrim(@group) + '] AS 
--'
--		set @first = 1
--		declare view_cur cursor for
--		select [company], [name] from [tmpcompanies] where [group] = @group and [xtype] = @xtype
--		open view_cur
--		fetch next from view_cur into @comp, @name
--		while @@fetch_status = 0
--		begin
--			if @first = 1
--				set @first = 0
--			else
--				select @query = @query + 'UNION ALL
--'
--			select @query = @query + 'select ''' + rtrim(@comp) + ''' as [company], t.* from [' + rtrim(@name) + '] t
--'
--			fetch next from view_cur into @comp, @name
--		end
--		close view_cur
--		deallocate view_cur
--
--		if @first = 0
--			exec(@query)
--	end
--	
--	fetch next from group_cur into @group, @xtype
--end
--
--close group_cur
--deallocate group_cur
--
--if exists (select * from sysobjects where id = object_id('tmpcompanies'))
--	drop table [tmpcompanies]

go