
use ReportServer$ACA

---------- zoek subscription info ----------
--/*
declare @IdRpt as uniqueidentifier;                                          -- alle subscriptions
-- declare @IdRpt as uniqueidentifier = 'B1BC959B-1F62-42A1-90FD-BF0234D1E2D8'; -- met rapport ID

select
,  c.[ItemID]
, c.[Path]
, s.[LastStatus]
, s.[LastRunTime]
, s.[SubscriptionID]
, rj.[ScheduleID]
, sj.[StartDate]
, s.[MatchData]
, s.[Parameters]
, s.[OwnerID]

from  [dbo].[Subscriptions] as s
inner join [dbo].Catalog as c
on s.[Report_OID] = c.[ItemID]
inner join [dbo].[ReportSchedule] as rj
on s.[SubscriptionID] = rj.[SubscriptionID]
inner join [dbo].[Schedule] as sj
on rj.[ScheduleID] = sj.[ScheduleID]
where c.[Path] like '%Subscriptions%' and (@IdRpt is null or (s.[Report_OID] = @IdRpt and rj.[ReportID] = @IdRpt))
--*/
--------------------------------------------------


---------- zoek subscription ID nieuwe locatie ---
/*

select
  c.[ItemID]
, c.[Path]
from  [dbo].Catalog as c
where c.[Path] like '%Subscriptions%' and c.[Name] like '%Resultaten Artikelen%'
*/
--------------------------------------------------


---------- aanpassen rapport id in subscription tabel en ReportSchedule tabel ----------
/*
declare @IdRptOld as uniqueidentifier = 'B1BC959B-1F62-42A1-90FD-BF0234D1E2D8';
declare @IdRptNew as uniqueidentifier = 'B1BC959B-1F62-42A1-90FD-BF0234D1E2D8';

update [dbo].[Subscriptions]
set [Report_OID] = @IdRptNew
where [Report_OID] = @IdRptOld;

update [dbo].[ReportSchedule]
set [ReportID] = @IdRptNew
where [ReportID] = @IdRptOld;
*/
--------------------------------------------------


---------- aanpassen start datum/tijd in subscription tabel en Schedule tabel ----------
/*
declare @IdRptNew as uniqueidentifier = 'B1BC959B-1F62-42A1-90FD-BF0234D1E2D8';
declare @StartDateOld as datetime = '2013-06-19 02:00:00.000';
declare @StartDateNew as datetime = '2013-06-19 03:00:00.000';

update [dbo].[Subscriptions]
set [MatchData] = '<ScheduleDefinition xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><StartDateTime xmlns="http://schemas.microsoft.com/sqlserver/reporting/2010/03/01/ReportServer">2013-06-19T03:00:00.000+02:00</StartDateTime></ScheduleDefinition>'
where [Report_OID] = @IdRptNew and [MatchData] like '%2013-06-19T02:00:00.000+02:00%';

update [dbo].[Schedule]
set [StartDate] = @StartDateNew
from [dbo].[Schedule] as sj
inner join [dbo].[ReportSchedule] as rj
on rj.[ScheduleID] = sj.[ScheduleID]
where rj.[ReportID] = @IdRptNew and sj.[StartDate] = @StartDateOld;
*/
--------------------------------------------------


---------- aanpassen parameters in subscription tabel ----------
/*
declare @IdRpt as uniqueidentifier = 'B1BC959B-1F62-42A1-90FD-BF0234D1E2D8';

update [dbo].[Subscriptions]
set [Parameters] = ''
where [Report_OID] = @IdRpt and [Parameters] like '%%';
*/
--------------------------------------------------


---------- aanpassen owner id in subscription tabel ----------
/*

update [dbo].[Subscriptions]
set OwnerID = (select UserID from [dbo].[Users] where UserName like '%gg%') -- nieuwe owner naam
from [dbo].[Users]
where [dbo].[Users].UserName like '%etl%' -- te wijzigen owner naam
*/
--------------------------------------------------


---------- Nieuwe User toevoegen ----------------------
/*
--Get your role IDs
select * from roles

--Get your policy IDs
select * from policies

--See your UserIDs
select * from users

--This will return the Sid you need for the users table
select suser_sid('The_userID')

--This ties them all together
select * from policyUserRole
The insert statement whould be like the following:

insert into users
select newid(), suser_sid('YourNewUser'), 1, 1, 'YourNewUser'

declare @NewUser uniqueidentifier
select @NewUser = userid from users where username = 'YourNewUser'

insert into policyUserRole
select newid(), @NewUser, YourPolicyID, YourRoleID
*/
