alter proc [sp_create_subscriptions] 
as

set nocount on

declare @query varchar(max), @query2 varchar(max), @query3 varchar(max), @query4 varchar(max), @query5 varchar(max), @company_org varchar(30)

if exists (select * from tempdb..sysobjects where id = object_id('tempdb..#temp'))
begin
	drop table [#temp]
end
create table [#temp]
(
	[exists] integer not null
)

truncate table [#temp]

set @query = '
if exists (select * from sysobjects where name like ''sp_subscriptions'')
	insert #temp values(1)'
exec(@query)

if not exists (select * from [#temp])
	set @query = 'CREATE proc '
else
	set @query = 'ALTER proc '

set @query = @query + 	
'
[sp_subscriptions]
as

declare @query varchar(max)
declare @my_job_name sysname
set @my_job_name = N''Subscriptions Jobs''

set @query = 
''
IF  EXISTS (SELECT job_id FROM msdb.dbo.sysjobs_view WHERE name = '''''' + @my_job_name + '''''')
EXEC msdb.dbo.sp_delete_job @job_name='''''' + @my_job_name + '''''', @delete_unused_schedule=1
''
exec(@query)

--initieel lege job aanmaken

set @query = 
''
BEGIN TRANSACTION
DECLARE @ReturnCode INT
SELECT @ReturnCode = 0
/****** Object:  JobCategory [[Uncategorized (Local)]]]    Script Date: 06/12/2013 16:41:32 ******/
IF NOT EXISTS (SELECT name FROM msdb.dbo.syscategories WHERE name=N''''[Uncategorized (Local)]'''' AND category_class=1)
BEGIN
EXEC @ReturnCode = msdb.dbo.sp_add_category @class=N''''JOB'''', @type=N''''LOCAL'''', @name=N''''[Uncategorized (Local)]''''
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback

END

DECLARE @jobId BINARY(16)
EXEC @ReturnCode =  msdb.dbo.sp_add_job @job_name='''''' + @my_job_name + '''''', 
		@enabled=1, 
		@notify_level_eventlog=0, 
		@notify_level_email=0, 
		@notify_level_netsend=0, 
		@notify_level_page=0, 
		@delete_level=0, 
		@description=N''''No description available.'''', 
		@category_name=N''''[Uncategorized (Local)]'''', 
		@owner_login_name=N''''sa'''', @job_id = @jobId OUTPUT
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
/****** Object:  Step [Begin]    Script Date: 06/12/2013 16:41:32 ******/
declare @db_name varchar(max)
select @db_name = db_name()
EXEC @ReturnCode = msdb.dbo.sp_add_jobstep @job_id=@jobId, @step_name=N''''Begin'''', 
		@step_id=1, 
		@cmdexec_success_code=0, 
		@on_success_action=3, 
		@on_success_step_id=0, 
		@on_fail_action=3, 
		@on_fail_step_id=0, 
		@retry_attempts=0, 
		@retry_interval=0, 
		@os_run_priority=0, @subsystem=N''''TSQL'''', 
		@command=N''''print ''''''''start'''''''''''', 
		@database_name=@db_name, 
		@flags=0
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
'' + 

/*''
/****** Object:  Step [1]    Script Date: 06/12/2013 16:41:32 ******/
EXEC @ReturnCode = msdb.dbo.sp_add_jobstep @job_id=@jobId, @step_name=N''''1'''', 
		@step_id=2, 
		@cmdexec_success_code=0, 
		@on_success_action=3, 
		@on_success_step_id=0, 
		@on_fail_action=3, 
		@on_fail_step_id=0, 
		@retry_attempts=0, 
		@retry_interval=0, 
		@os_run_priority=0, @subsystem=N''''TSQL'''', 
		@command=N''''EXEC dbo.sp_start_job_and_wait '''''''' '''''''''''', 
		@database_name=@db_name, 
		@flags=4
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
'' +*/

''
/****** Object:  Step [End]    Script Date: 06/12/2013 16:41:32 ******/
EXEC @ReturnCode = msdb.dbo.sp_add_jobstep @job_id=@jobId, @step_name=N''''End'''', 
		@step_id=2, 
		@cmdexec_success_code=0, 
		@on_success_action=1, 
		@on_success_step_id=0, 
		@on_fail_action=2, 
		@on_fail_step_id=0, 
		@retry_attempts=0, 
		@retry_interval=0, 
		@os_run_priority=0, @subsystem=N''''TSQL'''', 
		@command=N''''print ''''''''End'''''''' '''', 
		@database_name=@db_name, 
		@flags=0
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
EXEC @ReturnCode = msdb.dbo.sp_update_job @job_id = @jobId, @start_step_id = 1
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
EXEC @ReturnCode = msdb.dbo.sp_add_jobserver @job_id = @jobId, @server_name = N''''(local)''''
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
COMMIT TRANSACTION
GOTO EndSave
QuitWithRollback:
    IF (@@TRANCOUNT > 0) ROLLBACK TRANSACTION
EndSave:

''
exec(@query)

set @query = ''EXEC msdb.dbo.sp_delete_jobstep @job_name=N'''''' + @my_job_name + '''''', @step_id=2''
exec(@query)
set @query = ''EXEC msdb.dbo.sp_delete_jobstep @job_name=N'''''' + @my_job_name + '''''', @step_id=1''
exec(@query)

-- Steps aanmaken

set @query = 
''
declare @db_name varchar(max)
select @db_name = db_name()
EXEC msdb.dbo.sp_add_jobstep @job_name=N'''''' + @my_job_name + '''''', @step_name=N''''Begin'''', 
		@step_id=1, 
		@cmdexec_success_code=0, 
		@on_success_action=3, 
		@on_fail_action=3, 
		@retry_attempts=0, 
		@retry_interval=0, 
		@os_run_priority=0, @subsystem=N''''TSQL'''', 
		@command=N''''print ''''''''start'''''''''''', 
		@database_name=@db_name, 
		@flags=0''
exec(@query)

declare @IdRpt as uniqueidentifier;                                          -- alle subscriptions
-- declare @IdRpt as uniqueidentifier = ''B1BC959B-1F62-42A1-90FD-BF0234D1E2D8''; -- met rapport ID

declare @stepid int
declare @job sysname
declare @path varchar(max)
declare job_cur cursor for 
--select rs.[ScheduleID], c.[Path] from [ReportServer$ACA].[dbo].[ReportSchedule] rs left join [ReportServer$ACA].[dbo].[Catalog] c on rs.[ReportID] = c.[ItemID]
select
rj.[ScheduleID]
, c.[Path]
from  [ReportServer$ACA].[dbo].[Subscriptions] as s
inner join [ReportServer$ACA].[dbo].Catalog as c
on s.[Report_OID] = c.[ItemID]
inner join [ReportServer$ACA].[dbo].[ReportSchedule] as rj
on s.[SubscriptionID] = rj.[SubscriptionID]
inner join [ReportServer$ACA].[dbo].[Schedule] as sj
on rj.[ScheduleID] = sj.[ScheduleID]
where c.[Path] like ''%Subscriptions%'' and (@IdRpt is null or (s.[Report_OID] = @IdRpt and rj.[ReportID] = @IdRpt))

set @stepid = 2

open job_cur
fetch next from job_cur into @job, @path
while @@fetch_status = 0
begin
	set @query = 
	''
	declare @db_name varchar(max)
	select @db_name = db_name()
	EXEC msdb.dbo.sp_add_jobstep @job_name=N'''''' + @my_job_name + '''''', @step_name=N'''''' + cast(@stepid as varchar(10)) + @path + '''''', 
		@step_id='' + cast(@stepid as varchar(10)) + '', 
		@cmdexec_success_code=0, 
		@on_success_action=3, 
		@on_fail_action=3, 
		@retry_attempts=0, 
		@retry_interval=0, 
		@os_run_priority=0, @subsystem=N''''TSQL'''', 
		@command=N''''sp_start_job_and_wait '''''''''' + @job + '''''''''''''', 
		@database_name=@db_name, 
		@flags=4''
	exec(@query)
	
	set @stepid = @stepid + 1
		
	fetch next from job_cur into @job, @path
end
close job_cur
deallocate job_cur

set @query = 
''
declare @db_name varchar(max)
select @db_name = db_name()
EXEC msdb.dbo.sp_add_jobstep @job_name=N'''''' + @my_job_name + '''''', @step_name=N''''End'''', 
		@step_id='' + cast(@stepid as varchar(10)) + '',  
		@cmdexec_success_code=0, 
		@on_success_action=1, 
		@on_fail_action=2, 
		@retry_attempts=0, 
		@retry_interval=0, 
		@os_run_priority=0, @subsystem=N''''TSQL'''', 
		@command=N''''print ''''''''End'''''''' '''', 
		@database_name=@db_name, 
		@flags=0''
exec(@query)

--WaitFor Delay ''00:00:05'' -- Wait 5 seconds
--exec sp_start_job_and_wait @my_job_name
'
exec(@query)